#ifndef EVALUATE_H_
#define EVALUATE_H_

#include "util.h"
#include "doc.h"
#include "slda.h"

// measure could be: "mse", "pr2"
double evaluate_pr(strct_doc* docs, int ndocs, double* yhat, const char* measure);

// NOTE: the "h" field in docs must be filled
double evaluate_perword_likelihood(strct_doc* docs, int ndocs, strct_slda* slda);

// p: vector operator norm, usually 1 or 2
// perm is an int vector of size K; from slda to ref_slda
// alphaacc, etaacc and muacc are scalars
void evaluate_slda(strct_slda* slda, strct_slda* ref_slda, double p, int* perm, double* alphaacc, double* etaacc, double* muacc);

#endif
