#ifndef GIBBSSLDA_H_
#define GIBBSSLDA_H_

#include "util.h"
#include "doc.h"
#include "slda.h"

//Note:
//1. if the last argument is NULL, then we initialize the Gibbs-sLDA solver randomly
//delta: for the response variable y
//rho: prior of the regression model eta
strct_slda* gibbsslda_fit(strct_doc* docs, int ndocs, int K, int V, double* alpha, double* beta, double delta, double rho, strct_slda* slda, double epsilon);

//Note: the yhat fields will also be filled
//beta, delta and slda are NOT allowed to be NULL
double* gibbsslda_predict(strct_doc *docs, int ndocs, double delta, strct_slda* slda, double epsilon);

#endif
